Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.collection
Class ByteMatrix2D

    java.lang.Object
      uchicago.src.collection.ByteMatrix2D

    public class ByteMatrix2D

extends java.lang.Object

Constructor Summary
`ByteMatrix2D(byte[][] vals)`
`ByteMatrix2D(int rows, int cols)`

Method Summary
`int` | `columns()` Returns the number of columns in this matrix.
`ByteMatrix2D` | `copy()`
`byte` | `get(int row, int col)` Gets the value in the specified cell.
`cern.colt.matrix.impl.DenseDoubleMatrix1D` | `getRow(int row)`
`static void` | `main(java.lang.String[] args)`
`int` | `rows()` Returns the number of rows in this matrix.
`void` | `set(int row, int col, byte val)` Sets the value of the specified cell.
`java.lang.String` | `toString()`
`ByteMatrix2D` | `zMult(ByteMatrix2D B)` Multiply this matrix by the specified matrix and return the result in a new matrix.
`double` | `zSum()` Returns the sum of all the cells.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteMatrix2D

    public ByteMatrix2D(int rows,
                        int cols)

### ByteMatrix2D

    public ByteMatrix2D(byte[][] vals)

Method Detail

### getRow

    public cern.colt.matrix.impl.DenseDoubleMatrix1D getRow(int row)

### set

    public void set(int row,
                    int col,
                    byte val)

  Sets the value of the specified cell.

### get

    public byte get(int row,
                    int col)

  Gets the value in the specified cell.

### rows

    public int rows()

  Returns the number of rows in this matrix.

### columns

    public int columns()

  Returns the number of columns in this matrix.

### zSum

    public double zSum()

  Returns the sum of all the cells.

### copy

    public ByteMatrix2D copy()

### zMult

    public ByteMatrix2D zMult(ByteMatrix2D B)

  Multiply this matrix by the specified matrix and return the result in a new matrix.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD